OGRE-Next: Ogre::GLES2DepthTextureTarget Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::GLES2DepthTextureTarget Class Reference

`#include <OgreGLES2DepthTexture.h>`

Inheritance diagram for Ogre::GLES2DepthTextureTarget:
[legend]

## Public Member Functions
| GLES2DepthTextureTarget (GLES2DepthTexture *ultimateTextureOwner, const String &name, v1::HardwarePixelBuffer *buffer, uint32 zoffset)
virtual | ~GLES2DepthTextureTarget ()
virtual bool | attachDepthBuffer (DepthBuffer *depthBuffer, bool exactFormatMatch)
| Notifies the ultimate texture owner the buffer changed.
virtual void | detachDepthBuffer ()
void | getCustomAttribute (const String &name, void *pData)
virtual bool | getForceDisableColourWrites () const
virtual void | getFormatsForPso (PixelFormat outFormats[OGRE_MAX_MULTIPLE_RENDER_TARGETS], bool outHwGamma[OGRE_MAX_MULTIPLE_RENDER_TARGETS]) const
virtual bool | requiresTextureFlipping () const
virtual void | setDepthBufferPool (uint16 poolId)
virtual void | setFsaaResolved ()
virtual void | setFsaaResolveDirty ()
| Depth buffers never resolve; only colour buffers do.

## Constructor & Destructor Documentation

## ◆ GLES2DepthTextureTarget()

Ogre::GLES2DepthTextureTarget::GLES2DepthTextureTarget | ( | GLES2DepthTexture * | ultimateTextureOwner,
|  | const String & | name,
|  | v1::HardwarePixelBuffer * | buffer,
|  | uint32 | zoffset )

## ◆ ~GLES2DepthTextureTarget()

virtual Ogre::GLES2DepthTextureTarget::~GLES2DepthTextureTarget | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ attachDepthBuffer()

virtual bool Ogre::GLES2DepthTextureTarget::attachDepthBuffer | ( | DepthBuffer * | depthBuffer,
|  | bool | exactFormatMatch )
| virtual

Notifies the ultimate texture owner the buffer changed.

## ◆ detachDepthBuffer()

virtual void Ogre::GLES2DepthTextureTarget::detachDepthBuffer | ( |  | ) |
| virtual

## ◆ getCustomAttribute()

void Ogre::GLES2DepthTextureTarget::getCustomAttribute | ( | const String & | name,
|  | void * | pData )

## ◆ getForceDisableColourWrites()

virtual bool Ogre::GLES2DepthTextureTarget::getForceDisableColourWrites | ( |  | ) | const
| inlinevirtual

## ◆ getFormatsForPso()

virtual void Ogre::GLES2DepthTextureTarget::getFormatsForPso | ( | PixelFormat | outFormats[OGRE_MAX_MULTIPLE_RENDER_TARGETS],
|  | bool | outHwGamma[OGRE_MAX_MULTIPLE_RENDER_TARGETS] ) const
| virtual

References OGRE_MAX_MULTIPLE_RENDER_TARGETS.

## ◆ requiresTextureFlipping()

virtual bool Ogre::GLES2DepthTextureTarget::requiresTextureFlipping | ( |  | ) | const
| inlinevirtual

## ◆ setDepthBufferPool()

virtual void Ogre::GLES2DepthTextureTarget::setDepthBufferPool | ( | uint16 | poolId | ) |
| virtual

## ◆ setFsaaResolved()

virtual void Ogre::GLES2DepthTextureTarget::setFsaaResolved | ( |  | ) |
| inlinevirtual

## ◆ setFsaaResolveDirty()

virtual void Ogre::GLES2DepthTextureTarget::setFsaaResolveDirty | ( |  | ) |
| inlinevirtual

Depth buffers never resolve; only colour buffers do.

(we need mFsaaResolveDirty to be always true so that the proper path is taken in GLES2Texture::getGLID)

The documentation for this class was generated from the following file:

- OgreGLES2DepthTexture.h